package org.chenyang.http.conn.params;

import org.chenyang.http.HttpHost;
import org.chenyang.http.conn.routing.HttpRoute;
import org.chenyang.http.params.HttpAbstractParamBean;
import org.chenyang.http.params.HttpParams;
import java.net.InetAddress;

/** @deprecated */
@Deprecated
public class ConnRouteParamBean extends HttpAbstractParamBean {
   public ConnRouteParamBean(HttpParams params) {
      super(params);
   }

   public void setDefaultProxy(HttpHost defaultProxy) {
      this.params.setParameter("http.route.default-proxy", defaultProxy);
   }

   public void setLocalAddress(InetAddress address) {
      this.params.setParameter("http.route.local-address", address);
   }

   public void setForcedRoute(HttpRoute route) {
      this.params.setParameter("http.route.forced-route", route);
   }
}
